Messages
Get messages from a topic
Get messages from a topic
GET
/
admin
/
v1
/
topics
/
{topicName}
/
messages
Get messages from a topic
curl --request GET \
--url https://api.example.com/admin/v1/topics/{topicName}/messagesimport requests
url = "https://api.example.com/admin/v1/topics/{topicName}/messages"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/admin/v1/topics/{topicName}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"type": "PHASE",
"message": {
"partition": 123,
"offset": 123,
"timestamp": "2023-11-07T05:31:56Z",
"timestampType": "NO_TIMESTAMP_TYPE",
"key": "<string>",
"headers": {},
"content": "<string>",
"keyFormat": "AVRO",
"valueFormat": "AVRO",
"keySize": 123,
"valueSize": 123,
"keySchemaId": "<string>",
"valueSchemaId": "<string>",
"headersSize": 123,
"keySerde": "<string>",
"valueSerde": "<string>",
"keyDeserializeProperties": {},
"valueDeserializeProperties": {}
},
"phase": {
"name": "<string>"
},
"consuming": {
"bytesConsumed": 123,
"elapsedMs": 123,
"isCancelled": true,
"messagesConsumed": 123,
"filterApplyErrors": 123
}
}
]Path Parameters
Topic name
Query Parameters
Seek type
Available options:
BEGINNING, OFFSET, TIMESTAMP, LATEST The format is [partition]::[offset] for specifying offsets or [partition]::[timestamp in millis] for specifying timestamps
Limit
Query
Serde that should be used for deserialization. Supports String, Base64, Hex, SchemaRegistry, ProtobufDecodeRaw, and Avro (Embedded)
Serde that should be used for deserialization. Supports String, Base64, Hex, SchemaRegistry, ProtobufDecodeRaw, and Avro (Embedded)
Was this page helpful?
⌘I
Get messages from a topic
